import { KeyDataPair, MessageData } from "../types";
import CloudflareService from "./CloudflareService";
import { ICryptoService } from "./CryptoService/ICryptoService";
interface WithServices {
    getMessageDataFromBase64: (base64: string) => Promise<MessageData>;
}
declare const _default: {
    encodeEmailData: (emailData: MessageData) => string;
    decodeEmailData: (binary: string | ArrayBuffer | Uint8Array) => MessageData;
    encodeKeyDataPair: (keyData: KeyDataPair) => string;
    decodeKeyDataPair: (binary: string | ArrayBuffer | Uint8Array) => KeyDataPair;
    breakQrCodeData: (data: ArrayBuffer, headBytesSize?: number) => {
        head: ArrayBuffer;
        tail: ArrayBuffer;
    };
    assembleQrCodeData: (head: ArrayBuffer, tail: ArrayBuffer) => ArrayBuffer;
    withServices: (cloudFlareServiceInstance: CloudflareService, landingPageServiceUrl: string, cryptoService?: ICryptoService) => WithServices;
};
export default _default;
