declare const EventEmitter: any;
import { BlockData, MerkleTree, StatusData, TxData, VerificationData } from "../../types";
import { AxiosError } from "axios";
export declare const TRANSACTION_RETRIEVED = "TRANSACTION_RETRIEVED";
export declare const MERKLE_TREE_VERIFIED = "MERKLE_TREE_VERIFIED";
export declare const BLOCK_DATA_RETRIEVED = "BLOCK_DATA_RETRIEVED";
declare class VerificationService extends EventEmitter {
    private _aeternityService;
    private _cloudflareService;
    constructor(cdnUrl?: string, cdnBucket?: string, aeternityNodeUrl?: string, aeternityCompilerUrl?: string, aeternityContractBytecode?: string);
    getTransaction(hash: string): Promise<TxData>;
    getBlockData(blockHeight: number): Promise<BlockData>;
    verifyStatusData(statusData: StatusData): Promise<VerificationData>;
    getMerkleTreeForTransaction(txData: TxData): Promise<MerkleTree>;
    verifyMerkleTreeNode(nodeToVerify: string, merkleTree: MerkleTree): Promise<boolean>;
    catchVerificationError(error: AxiosError, verificationFailureMessage: string): void;
}
export default VerificationService;
